> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST (/users/batch/profile/settings)

> POST (/users/batch/profile/settings)

Get the profile for a user or users.
The domain for these URIs is `profile.xboxlive.com`.

* [Remarks](#ID4EV)
* [Authorization](#ID4EFB)
* [Required Request Headers](#ID4EOB)
* [Request body](#ID4EZC)
* [Response body](#ID4EJD)

## Remarks

This is the only fully-qualified Profile URL allowed in . All other Profile APIs from clients are blocked.

## Authorization

To access a profile, only a normal auth token and claims are needed.

## Required Request Headers

| Header | Type | Description |
| - | - | - |
| x-xbl-contract-version | 32-bit unsigned integer | The contract version must be set to 2, to distinguish this call from the XBOX 360 API. |
| content-type | string | Value = `application/json` |

## Request body

### Sample request

```cpp theme={null}
POST /users/batch/profile/settings
   {
      "userIds":[
         "2533274791381930"
       ],
      "settings":[
         "GameDisplayName",
         "GameDisplayPicRaw",
         "Gamerscore",
         "Gamertag"
      ]
   }
      
```

## Response body

### Sample response

```cpp theme={null}
{
      "profileUsers":[
         {
            "id":"2533274791381930",
            "settings":[
               {
                  "id":"GameDisplayName",
                  "value":"John Smith"
               },
               {
                  "id":"GameDisplayPicRaw",
                  "value":"http://images-eds.xboxlive.com/image?url=z951ykn43p4FqWbbFvR2Ec.8vbDhj8G2Xe7JngaTToBrrCmIEEXHC9UNrdJ6P7KIN0gxC2r1YECCd3mf2w1FDdmFCpSokJWa2z7xtVrlzOyVSc6pPRdWEXmYtpS2xE4F"
               },
               {
                  "id":"Gamerscore",
                  "value":"0"
               },
               {
                  "id":"Gamertag",
                  "value":"CracklierJewel9"
               }
            ]
         }
      ]
   }
         
```

## See also

##### Parent

[/users/batch/profile/settings](https://docs.xbox.com/reference/live/rest/uri/profileV2/uri-usersbatchprofilesettings.md)

##### Reference

[Profile (JSON)](https://docs.xbox.com/reference/live/rest/json/json-profile.md)


## Related topics

- [/users/batch/profile/settings](https://docs.xbox.com/reference/live/rest/uri/profileV2/uri-usersbatchprofilesettings.md)
- [POST (/users/batch)](https://docs.xbox.com/reference/live/rest/uri/presence/uri-usersbatchpost.md)
- [/users/{userId}/profile/settings/people/{userList}?settings={settings}](https://docs.xbox.com/reference/live/rest/uri/profileV2/uri-usersuseridprofilesettingspeopleuserlist.md)
- [POST (/untrustedplatform/users/batch/scids/{scid}/data/{pathAndFileName},{type})](https://docs.xbox.com/reference/live/rest/uri/storage/uri-untrustedplatformusersbatchscidssciddatapathandfilenametype-post.md)
- [POST (/trustedplatform/users/batch/scids/{scid}/data/{pathAndFileName},{type})](https://docs.xbox.com/reference/live/rest/uri/storage/uri-trustedplatformusersbatchscidssciddatapathandfilenametype-post.md)
